Bug 1895596 - rpmlint --version shows wrong version number
Summary: rpmlint --version shows wrong version number
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 33
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-07 13:55 UTC by John Sauter
Modified: 2021-02-14 01:45 UTC (History)
4 users (show)

Fixed In Version: rpmlint-1.11-15.fc33 rpmlint-1.11-15.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-08 01:30:08 UTC
Type: Bug


Attachments (Terms of Use)

Description John Sauter 2020-11-07 13:55:06 UTC
Description of problem:

rpmlint is version 1.11, but the rpmlint --version command shows "rpmlint version 1.10".
 
Version-Release number of selected component (if applicable):

1.11-12

How reproducible:

every time

Steps to Reproduce:
1. type rpmlint --version


Actual results:

rpmlint version 1.10

Expected results:

rpmlint version 1.11

Additional info:

The problem appears to be in the Makefile, where it defines VERSION as 1.10.

Comment 1 Fedora Update System 2021-02-05 16:07:43 UTC
FEDORA-2021-511cf14424 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-511cf14424

Comment 2 Fedora Update System 2021-02-05 16:07:44 UTC
FEDORA-2021-60ebfd38e9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-60ebfd38e9

Comment 3 Fedora Update System 2021-02-06 01:58:57 UTC
FEDORA-2021-60ebfd38e9 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-60ebfd38e9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-60ebfd38e9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-02-06 02:13:48 UTC
FEDORA-2021-511cf14424 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-511cf14424`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-511cf14424

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-02-08 01:30:08 UTC
FEDORA-2021-511cf14424 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-02-14 01:45:32 UTC
FEDORA-2021-60ebfd38e9 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.